function [y,ty]=prodconv(x1,t1,x2,t2,Fs)
% Convolution de deux signaux x1 et x2
%
% INPUTS :
% x1 : signal 1
% t1 : vecteur temps associe au signal 1
% x2 : signal 2
% t2 : vecteur temps associe au signal 2
% Fs : frequence d echantillonnage
%
% OUTPUTS :
% y : convolution de x1 et x2
% ty : vecteur temps associe a y


t_min1=min(t1);
t_max1=max(t1);

t_min2=min(t2);
t_max2=max(t2);

ty=t_min1+t_min2:1/Fs:t_max1+t_max2;

y=conv(x1,x2);
y=y(:);
ty=ty(:);
