function [he]=rootraisedcosine(t,T,beta)
% Reponse impulsionnelle d'un filtre en racine de cosinus sureleve
%
% INPUTS :
% t : vecteur temps
% T : periode symbole
% beta : parametre du filtre
%
% OUTPUTS :
% he : reponse impulsionnelle
epsilon=10^-10;
he=(1-beta)*sinc((1-beta)*t/T)  + (4*beta/pi) * (cos(pi*(1+beta)*t/T) + 4*beta*t/T.*sin(pi*(1-beta)*t/T))./(1-(4*beta*t/T).^2);
he(abs(t-T/(4*beta))<epsilon)=beta/sqrt(2) * ((1+2/pi)*sin(pi/(4*beta)) + (1-2/pi)*cos(pi/(4*beta)));
he(abs(t+T/(4*beta))<epsilon)=beta/sqrt(2) * ((1+2/pi)*sin(pi/(4*beta)) + (1-2/pi)*cos(pi/(4*beta)));
he(abs(t)<epsilon)=1-beta+4*beta/pi;

function y = sinc(x)
i=find(x==0);                                                              
x(i)= 1;                         
y = sin(pi*x)./(pi*x);                                                     
y(i) = 1;   

